异常记录

总计 2 页,当前第 1 页
异常记录

关于报错"ORA-01747: user.table.column, table.column 或列说明无效"的解决办法

今天在工程中遇到“ORA-01747: user.table.column, table.column 或列说明无效”的报错情况,查了一下是由于数据库列名起的不好引起的,名字用到了数据库的关键字。如果列很多,又不好确定是哪个列名使用了关键字,以下建议可供参考:我用以下方法定位select * from v$reserved_words where keyword   ...
8个月前 (03-14) 阅读(178) 赞一个 (1) 评论() 链接直达
异常记录

【漏洞预警】Struts2远程代码执行高危漏洞响应及修复建议

近日,安全研究人员发现著名J2EE框架——Struts2存在远程代码执行的漏洞,Struts2官方已经确认该漏洞(S2-045),并定级为高危漏洞。漏洞描述该漏洞是Apache strut2 最新的一个漏洞,CVE编号CVE-2017-5638.(基于 Jakarta plugin插件的Struts远程代码执行漏洞),该漏洞会造成RCE远程代码执行,恶意用户可在上传文件时通过修改HTTP请求头中的Content-Type值来触发该漏洞,...
9个月前 (03-08) 阅读(170) 赞一个 (0) 评论() 链接直达
异常记录

Maven Build--缺少Jar包

新建的Maven项目,在build的时候总是打包失败,提示少Jar包,如下:[INFO] ------------------------------------------------------------------------ [INFO] Building data 1.0.0-RELEASE [INFO] ---------------------------------...
9个月前 (02-24) 阅读(284) 赞一个 (0) 评论() 链接直达
异常记录

Tomcat启动错误unsupported major.minor version 52.0解决方法

今天在部署项目时发现服务器上的tomcat出现了unsupported major.minor version 52.0错误,有点诧异,明明本地项目运行好好的,怎么到了服务器就不行了呢。如图后来想一想,应该是版本的问题,服务器使用的jre是1.7版本,而本地环境中有多个jre,而项目中用到的就是1.8的版本。低版本不能兼容高版本,所以将项目中的编译方式改为1.7版本jre,问题解决...
1年前 (2016-11-26) 阅读(356) 赞一个 (0) 评论() 链接直达
异常记录

【Java异常】解决编译异常java compiler level does not match the version of the installed java project facet

MyEclipse开发的Java web项目相互拷贝,有时候会报一个很奇怪的错误。明明源码一模一样,为什么项目复制到另一台机器上,就会报“java compiler level does not match the version of the installed java project facet”错误呢? 如图所示: 其实要解决也很简单,在资源管理器下,找到项目所...
1年前 (2016-08-16) 阅读(191) 赞一个 (0) 评论() 链接直达

程序喵 www.ibloger.net

关于本站 站内留言 给我写信 文章订阅